apache tidak bisa di install?????

Diskusi tentang Ubuntu Server baik webserver, database server, samba server dan service lainnya serta jaringan menggunakan Sistem Operasi Ubuntu.
User avatar
ibet
Posts: 22
Joined: 09 Feb 2011, 15:45
Location: Surabaya

apache tidak bisa di install?????

Postby ibet » 17 Feb 2011, 12:47

tolong kang master2..pas waktu apt-get install apache2 muncul gini kang..

Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
apache2-mpm-worker apache2.2-bin apache2.2-common
Suggested packages:
apache2-doc apache2-suexec apache2-suexec-custom
The following NEW packages will be installed:
apache2 apache2-mpm-worker apache2.2-bin apache2.2-common
0 upgraded, 4 newly installed, 0 to remove and 0 not upgraded.
1 not fully installed or removed.
E: Could not get lock /var/cache/apt/archives/lock - open (11: Resource temporarily unavailable)
E: Unable to lock the download directory

tolong bantuan nya..newbie
User avatar
blackshirt
Posts: 2336
Joined: 02 Jan 2010, 17:00
Location: Solo dan Kebumen
Contact:

Re: apache tidak bisa di install?????

Postby blackshirt » 17 Feb 2011, 12:55

pastikan tidak ada proses yang berkaitan dengan apt/dpkg yang sedang berjalan.

Code: Select all

$ps aux | grep dpkg
atau
$ps aux | grep apt


kalau ada proses lain, biasanya muncull beberapa proses (2 atau lebih), kalau ada liat proses id, kill aja

Code: Select all

$sudo kill -9 proses-pid


kemudian coba install ulang apachenya
User avatar
mindcracker
Posts: 239
Joined: 17 Jun 2010, 16:25
Location: Jogjakarta, Indonesia
Contact:

Re: apache tidak bisa di install?????

Postby mindcracker » 17 Feb 2011, 13:02

oh itu, biasanya disebabkan karena kamu lagi install sesuatu
terus kamu cancel di tengah jalan

coba pake sudo rm -rf /var/cache/apt/archives/lock

terus cobo sudo apt-get update
baru install lagi apachenya
User avatar
ibet
Posts: 22
Joined: 09 Feb 2011, 15:45
Location: Surabaya

Re: apache tidak bisa di install?????

Postby ibet » 17 Feb 2011, 13:06

makasih...kang master2...saya coba..dulu
User avatar
ibet
Posts: 22
Joined: 09 Feb 2011, 15:45
Location: Surabaya

Re: apache tidak bisa di install?????

Postby ibet » 17 Feb 2011, 13:19

kang...setalah langsung apt-get install apache2 php5 phpmyadmin mysql-server-5.0

Reading package lists... Done
Building dependency tree
Reading state information... Done
phpmyadmin is already the newest version.
Suggested packages:
tinyca mailx mysql-doc-5.0
The following NEW packages will be installed:
apache2 mysql-server-5.0 php5
0 upgraded, 3 newly installed, 0 to remove and 109 not upgraded.
1 not fully installed or removed.
Need to get 0B/23,8MB of archives.
After this operation, 79,8MB of additional disk space will be used.
Prakonfigurasi paket ...
Memilih paket mysql-server-5.0 yang sebelumnya tidak dipilih.
(Sedang membaca basis data ...122297 berkas dan direktori telah terpasang.)
Sedang membuka paket mysql-server-5.0 (dari .../mysql-server-5.0_5.1.30really5.0.83-0ubuntu3_i386.deb) ...
* Stopping MySQL database server mysqld [ OK ]
Memilih paket apache2 yang sebelumnya tidak dipilih.
Sedang membuka paket apache2 (dari .../apache2_2.2.12-1ubuntu2.4_all.deb) ...
Memilih paket php5 yang sebelumnya tidak dipilih.
Sedang membuka paket php5 (dari .../php5_5.2.10.dfsg.1-2ubuntu6.7_all.deb) ...
Processing triggers for sreadahead ...
sreadahead will be reprofiled on next reboot
Processing triggers for man-db ...
Sedang menyetel crossplatformui (1.0.27) ...
Rather than invoking init scripts through /etc/init.d, use the service(8)
utility, e.g. service acpid restart

Since the script you are attempting to invoke has been converted to an
Upstart job, you may also use the restart(8) utility, e.g. restart acpid
acpid start/running, process 2577
make -C /mnt/windows/old_linux-2.6.31.6 M=/usr/local/bin/ztemtApp/zteusbserial/2.6.31 modules
make: *** /mnt/windows/old_linux-2.6.31.6: No such file or directory. Stop.
make: *** [modules] Error 2
dpkg: ada kesalahan saat memproses crossplatformui (--configure):
subproses installed post-installation script menghasilkan kesalahan status 'exit': 2
Sedang menyetel mysql-server-5.0 (5.1.30really5.0.83-0ubuntu3) ...
* Stopping MySQL database server mysqld [ OK ]
* Starting MySQL database server mysqld [ OK ]
* Checking for corrupt, not cleanly closed and upgrade needing tables.

Sedang menyetel apache2 (2.2.12-1ubuntu2.4) ...

Sedang menyetel php5 (5.2.10.dfsg.1-2ubuntu6.7) ...
Ada kesalahan saat memproses:
crossplatformui
E: Sub-process /usr/bin/dpkg returned an error code (1)

kalau di remove complet seperti awal gmana kang..biar bisa di install ulang aja...webserver nya,,mohon pencerahannya...newbie..
User avatar
blackshirt
Posts: 2336
Joined: 02 Jan 2010, 17:00
Location: Solo dan Kebumen
Contact:

Re: apache tidak bisa di install?????

Postby blackshirt » 17 Feb 2011, 13:36

Code: Select all

$sudo aptitude purge apache2 mysql-server
User avatar
ibet
Posts: 22
Joined: 09 Feb 2011, 15:45
Location: Surabaya

Re: apache tidak bisa di install?????

Postby ibet » 17 Feb 2011, 14:34

tetap kang...
User avatar
sta
Posts: 2003
Joined: 27 Apr 2010, 09:49
Contact:

Re: apache tidak bisa di install?????

Postby sta » 17 Feb 2011, 14:47

coba sudo apt-get update hasilnya apa kang?
User avatar
saa7_go
Posts: 464
Joined: 21 Jan 2011, 23:37
Contact:

Re: apache tidak bisa di install?????

Postby saa7_go » 17 Feb 2011, 14:51

sepertinya installasi apache, php, dan mysql udah sukses, cuman bermasalah di paket 'crossplatformui'.
User avatar
ibet
Posts: 22
Joined: 09 Feb 2011, 15:45
Location: Surabaya

Re: apache tidak bisa di install?????

Postby ibet » 17 Feb 2011, 15:00

sudah..kang..tapi tetep g bisa...
User avatar
ibet
Posts: 22
Joined: 09 Feb 2011, 15:45
Location: Surabaya

Re: apache tidak bisa di install?????

Postby ibet » 17 Feb 2011, 15:01

@saa7_go solusinya gimana kang...
User avatar
saa7_go
Posts: 464
Joined: 21 Jan 2011, 23:37
Contact:

Re: apache tidak bisa di install?????

Postby saa7_go » 17 Feb 2011, 15:07

ibet wrote:@saa7_go solusinya gimana kang...

crossplatformui itu untuk apa? kalo ga penting di-remove aja.
kalo ga, coba pake langsung apache, php & mysqlnya.
User avatar
ibet
Posts: 22
Joined: 09 Feb 2011, 15:45
Location: Surabaya

Re: apache tidak bisa di install?????

Postby ibet » 17 Feb 2011, 15:09

saya remove juga g bisa..kang...
User avatar
saa7_go
Posts: 464
Joined: 21 Jan 2011, 23:37
Contact:

Re: apache tidak bisa di install?????

Postby saa7_go » 17 Feb 2011, 15:14

ibet wrote:saya remove juga g bisa..kang...

kamu nge-removenya gimana? trus output errornya seperti apa?
kalo apache, php, mysql dipake langsung bisa atau tidak?
User avatar
ibet
Posts: 22
Joined: 09 Feb 2011, 15:45
Location: Surabaya

Re: apache tidak bisa di install?????

Postby ibet » 17 Feb 2011, 15:18

apt-get remove apache2 php5 phpmyadmin mysql-server-5.0
Reading package lists... Done
Building dependency tree
Reading state information... Done
Package apache2 is not installed, so not removed
The following packages were automatically installed and are no longer required:
libmcrypt4 php5-mcrypt dbconfig-common
Use 'apt-get autoremove' to remove them.
The following packages will be REMOVED:
mysql-server-5.0 php5 phpmyadmin
0 upgraded, 0 newly installed, 3 to remove and 18 not upgraded.
1 not fully installed or removed.
After this operation, 93,6MB disk space will be freed.
Do you want to continue [Y/n]? y
(Sedang membaca basis data ...124642 berkas dan direktori telah terpasang.)
Sedang membuang mysql-server-5.0 ...
* Stopping MySQL database server mysqld [ OK ]
Sedang membuang phpmyadmin ...
dbconfig-common: dumping mysql database phpmyadmin to /var/tmp/phpmyadmin.phpmyadmin.2011-02-17-15.12.mysql.trKNu0.
ERROR 2002 (HY000): Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2).
unable to connect to mysql server.
error encountered dumping database:
ERROR 2002 (HY000): Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2)
dbconfig-common: phpmyadmin remove: retrying.
dbconfig-common: writing config to /etc/dbconfig-common/phpmyadmin.conf
ERROR 2002 (HY000): Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2).
unable to connect to mysql server.
error encountered creating user:
ERROR 2002 (HY000): Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2)
dbconfig-common: phpmyadmin configure: ignoring errors from here forwards
populating database via sql... done.
dbconfig-common: flushing administrative password
dbconfig-common: dropping mysql database phpmyadmin.
Sedang membuang php5 ...
Processing triggers for man-db ...
Processing triggers for sreadahead ...
sreadahead will be reprofiled on next reboot
Processing triggers for doc-base ...
Processing 1 removed doc-base file(s)...
Registering documents with scrollkeeper...
Sedang menyetel crossplatformui (1.0.27) ...
Rather than invoking init scripts through /etc/init.d, use the service(8)
utility, e.g. service acpid restart

Since the script you are attempting to invoke has been converted to an
Upstart job, you may also use the restart(8) utility, e.g. restart acpid
acpid start/running, process 3764
make -C /mnt/windows/old_linux-2.6.31.6 M=/usr/local/bin/ztemtApp/zteusbserial/2.6.31 modules
make: *** /mnt/windows/old_linux-2.6.31.6: No such file or directory. Stop.
make: *** [modules] Error 2
dpkg: ada kesalahan saat memproses crossplatformui (--configure):
subproses installed post-installation script menghasilkan kesalahan status 'exit': 2
Ada kesalahan saat memproses:
crossplatformui
E: Sub-process /usr/bin/dpkg returned an error code (1)


mohon pencerahan nya...kang
User avatar
saa7_go
Posts: 464
Joined: 21 Jan 2011, 23:37
Contact:

Re: apache tidak bisa di install?????

Postby saa7_go » 17 Feb 2011, 15:21

maksud saya, yg diremove itu paket 'crossplatformui'nya bukan apache dan kawan2.
User avatar
MasDjo
Posts: 1260
Joined: 03 Jan 2010, 17:38
Location: Bayuangga City
Contact:

Re: apache tidak bisa di install?????

Postby MasDjo » 17 Feb 2011, 15:23

Pake Ubuntu versi berapa ?
bisa dicopas /etc/apt/sources.list nya disini
User avatar
ibet
Posts: 22
Joined: 09 Feb 2011, 15:45
Location: Surabaya

Re: apache tidak bisa di install?????

Postby ibet » 17 Feb 2011, 15:26

sudah bisa kang..tapi phpmyadmin nya tidak bisa di akses
User avatar
saa7_go
Posts: 464
Joined: 21 Jan 2011, 23:37
Contact:

Re: apache tidak bisa di install?????

Postby saa7_go » 17 Feb 2011, 15:36

ibet wrote:sudah bisa kang..tapi phpmyadmin nya tidak bisa di akses

output error/warning-nya seperti apa? btw, sepertinya udah banyak topik yg membahas tentang phpmyadmin, coba dicari dulu aja.

Return to “Ubuntu Server”

Who is online

Users browsing this forum: No registered users and 6 guests